# class ActionDispatch::BestStandardsSupport

### Public Class Methods

new(app, type = true) click to toggle source

    # File lib/action_dispatch/middleware/best_standards_support.rb, line 3
    def initialize(app, type = true)
      @app = app

      @header = case type
      when true
        "IE=Edge,chrome=1"
      when :builtin
        "IE=Edge"
      when false
        nil
      end
    end

### Public Instance Methods

call(env) click to toggle source

    # File lib/action_dispatch/middleware/best_standards_support.rb, line 16
    def call(env)
      status, headers, body = @app.call(env)

      if headers["X-UA-Compatible"] && @header
        unless headers["X-UA-Compatible"][@header]
          headers["X-UA-Compatible"] << "," << @header.to_s
        end
      else
        headers["X-UA-Compatible"] = @header
      end

      [status, headers, body]
    end